<?php
header('Access-Control-Allow-Origin: *');
header("Content-type: application/json; charset=utf-8");

error_reporting(0);

include '../../utils/database.php';
include '../../utils/helper.php';


$nextPage = "payment";


$ts = time();
$currntMonth = tsToShamsiMonth($ts);
$currntMonthName = monthNumberToMonthName($currntMonth);
$ts5MonthLaterNum = $currntMonth + 5;
$ts4MonthLaterNum = $currntMonth + 4;
$ts3MonthLaterNum = $currntMonth + 3;
$ts2MonthLaterNum = $currntMonth + 2;
if ($ts5MonthLaterNum > 12) {
    $ts5MonthLaterNum = $ts5MonthLaterNum - 12;
}
if ($ts4MonthLaterNum > 12) {
    $ts4MonthLaterNum = $ts4MonthLaterNum - 12;
}
if ($ts3MonthLaterNum > 12) {
    $ts3MonthLaterNum = $ts3MonthLaterNum - 12;
}
if ($ts2MonthLaterNum > 12) {
    $ts2MonthLaterNum = $ts2MonthLaterNum - 12;
}
$ts5MonthLater = monthNumberToMonthName($currntMonth + 5);
$ts4MonthLater = monthNumberToMonthName($currntMonth + 4);
$ts3MonthLater = monthNumberToMonthName($currntMonth + 3);
$ts2MonthLater = monthNumberToMonthName($currntMonth + 2);



$token = null;
$code = null;
$headers = apache_request_headers();

$language = "fa";

$bannerImage = "";

$persona = null;
$type = null;

$guaranteeTitle = "";
$guaranteeDescription = "";

$target = "";
$regimeType = "تقویت قدرت باروری";

$codeFirst = $_POST['code'];
if (sizeof($_POST) == 0) {
    $codeFirst = $_GET['code'];
}

$code = convertPersianToEnglish($codeFirst);

$plans = array();
$faqs = array();
$comments = array();
$horizontalComments = array();

$gender = "null";
$height = "";
$weightCurrent = "";
$weightGoal = "";
$programLength = "";
$diffWeight = "";

$domain = "https://api.matchadiet.com";


$description = "96.5 درصد از کاربران اپلیکیشن مینت، بارداریشون رو در سلامت کامل به پایان رسوندن";
$payCounter = "null";
$headerType = "lottie";

$todayDate = getPlanDate(time());
$zaimanDate = "";

$isLazy = "false";

$fitnessPlans = null;

$discount = "0";

$videoBaseLink = "https://file.mintapp.ir/Persona/";

$withoutProcessCodes = array("prevent");


$allAnswers = array();
$wyg = array();

if (isset($headers['Authorization'])) {

    $token = $headers['Authorization'];
} else {
    if (isset($_GET['Authorization'])) {
        $token = $_GET['Authorization'];
    } else {
        $response['success'] = 'false';
        $response['message'] = '403';

        $json_response = json_encode($response);
        echo $json_response;
        die();
    }
}
// Create connection
$conn = new mysqli($servername, $username, $password, $dbname_process);
// Check connection
mysqli_set_charset($conn, "utf8");
if ($conn->connect_error) {
    die("Connection failed: " . $conn->connect_error);
}

$resultAllAnswers = $conn->query("SELECT * FROM process WHERE `code`='$code' ORDER BY id");
if ($resultAllAnswers->num_rows > 0) {
    while ($row_aa = $resultAllAnswers->fetch_assoc()) {
        $answer_aa = $row_aa["aid"];
        $type = $row_aa["type"];

        $answer_aa = str_replace("_ge", "", $answer_aa);
        $answer_aa = str_replace("_ad", "", $answer_aa);
        array_push($allAnswers, $answer_aa);
    }
}

$redirect = "";
$resultUser = $conn->query("SELECT * FROM users WHERE `token`='$token'");
if ($resultUser->num_rows > 0) {
    while ($rowUser = $resultUser->fetch_assoc()) {
        $redirect = $rowUser["redirect"];
        $gender = $rowUser["gender"];
        $weightCurrent = $rowUser["weight"];
        $weightGoal = $rowUser["weight_goal"];
        $height = $rowUser["height"];
        $programLength = $rowUser["programLength"];

        if ($programLength > 3) {
            $programLength = 3;
            $conn->query("UPDATE users SET `programLength`='3' WHERE `token`='$token'");
        }
        if ($programLength == 0 or $programLength == null or $programLength == "" or $programLength == "null"){
            $programLength = 1;
        }

        $diffWeight = $weightCurrent - $weightGoal;
        if ($diffWeight < 0) {

            $diffWeight = $diffWeight * -1;
        }
    }

    //update Statistics
    $pageId = "checkout";
    $date = tsToShamsiYear(time(), "fa") . tsToShamsiMonth(time(), "fa") . tsToShamsiDay(time(), "fa");
    $resultStatistics = $conn->query("SELECT * FROM `statistics` WHERE `date`='$date' AND `page_id`='$pageId' AND `redirect`='$redirect' AND `type`='$type'");
    if ($resultStatistics->num_rows > 0) {
        $conn->query("UPDATE `statistics` SET `count`=`count`+1 WHERE `date`='$date' AND `page_id`='$pageId' AND `redirect`='$redirect' AND `type`='$type'");
    } else {
        $conn->query("INSERT INTO `statistics`(`page_id` , `date` , `count` , `redirect` , `type`) VALUES('$pageId' , '$date' , 1 , '$redirect' , '$type')");
    }
    //
}

if ($type == "fit") {
    
     $workoutPlace = "بدنسازی در باشگاه";
    if (in_array("fitg34.2", $allAnswers) or in_array("fitb34.2", $allAnswers)) {
        $workoutPlace = "در منزل";
    }
    if (in_array("fitg34.3", $allAnswers) or in_array("fitb34.3", $allAnswers)) {
        $workoutPlace = "پیاده‌روی";
    }
    if (in_array("fitg34.4", $allAnswers) or in_array("fitb34.4", $allAnswers)) {
        $workoutPlace = "در منزل";
    }

    $title = "کاهش وزن پایدار و اصلاح سبک زندگی با ماچا";
    $underTitle = "به جمع هزاران نفری که به کمک ماچا، به اندام ایده آلشون رسیده‌اند، بپیوندید";

    $guaranteeTitle = "ضمانت کاهش وزن";
    $guaranteeDescription = "
    رژیم ها و نکات ماچا رو کاملا بر اساس مشخصاتت طراحی کردیم. با تمامی جزئیات رژیم رو رعایت کنی، مطمئنیم که به وزن ایده آلی که میخوای میرسی.
</br>
در نهایت اگر تا پایان اشتراکت به کاهش وزن نرسیدی، ماچا مبلغی رو که پرداخت کردی، عودت میده.
";

    $defaultTxtWyg1 = "لاغری";
    if (in_array("fitg40k.4", $allAnswers) or in_array("fitb40k.4", $allAnswers)) {
        $defaultTxtWyg1 = "کتوژنیک";
    }
    if (in_array("fitg40k.5", $allAnswers) or in_array("fitb40k.5", $allAnswers)) {
        $defaultTxtWyg1 = "لاغری گیاهخواری";
    }
    if (in_array("fitg40k.6", $allAnswers) or in_array("fitb40k.6", $allAnswers)) {
        $defaultTxtWyg1 = "روزه‌داری (فستینگ)";
    }
    $regimeType = "Healthy Life Style + Caloric Density";
    $target = $diffWeight . " کیلوگرم در " . $programLength . " ماه";
    
    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/ai.png";
    $res_aa["title"] = "طراحی برنامه با استفاده از هوش‌مصنوعی";
    $res_aa["description"] = "هوش مصنوعی تناسب‌اندام ماچا بر اساس پاسخ‌های داده‌شده شرایط شما را تحلیل کرده و برنامه‌ی شخصی‌سازی‌شده را ارائه میدهد";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/plan.png";
    $res_aa["title"] = $programLength . " ماه برنامه غذایی " . $defaultTxtWyg1;
    $res_aa["description"] = "برنامه غذایی طراحی‌شده بر پایه متدولوژی HLCD به‌همراه اصلاح سبک زندگی";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/scan.png";
    $res_aa["title"] = "کالری شماری تصویری هوش مصنوعی";
    $res_aa["description"] = "از وعده‌غذایی‌تون عکس بگیرید تا هوش مصنوعی ماچا نوع غذا، مقدار، کالری و ارزش‌غذاییش رو در لحظه بهتون بگه!";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/food.png";
    $res_aa["title"] = "وعده‌های غذایی راحت و در دسترس";
    $res_aa["description"] = "برنامه غذایی شما از خانواده جدا نمیشه و میتونید با توجه به اون، غذای رژیمتون رو از بین تنوع غذایی بالای ماچا جایگزین کنید";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/lifestyle.png";
    $res_aa["title"] = $programLength . " ماه برنامه تمرینی " . $workoutPlace;
    $res_aa["description"] = "برنامه تمرینی تخصصی با استفاده از هوش‌مصنوعی به‌همراه آموزش ویدیویی";
    array_push($wyg , $res_aa);

    // $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/lifestyle.png";
    // $res_aa["title"] = "اصلاح سبک زندگی";
    // $res_aa["description"] = "اصلاح سبک زندگی و عادت های غذایی برای کاهش وزن سریعتر و دائمی";
    // array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/fire.png";
    $res_aa["title"] = "تنظیم سوخت و ساز بدن";
    $res_aa["description"] = "تنظیم متابولیسم بدن برای چربی سوزی بالاتر";
    array_push($wyg, $res_aa);
    
    // $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/scan.png";
    // $res_aa["title"] = "کالری شماری تصویری هوش مصنوعی";
    // $res_aa["description"] = "از وعده‌غذایی‌تون عکس بگیرید تا هوش مصنوعی ماچا نوع غذا، مقدار، کالری و ارزش‌غذاییش رو در لحظه بهتون بگه!";
    // array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/vip-card.png";
    $res_aa["title"] = "پشتیبانی آنلاین هفتگی توسط متخصص HLCD (طرح VIP)";
    $res_aa["description"] = "متخصصان رژیم، ورزش و تناسب‌‌اندام ما هرروزِ هفته شبانه‌روزی و بدونِ تعطیلی با شما در ارتباطن تا روند انجام رژیم و مسائل انگیزشی شما رو پیگیری کنن";
    array_push($wyg, $res_aa);
    
    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/save.png";
    $res_aa["title"] = "دسترسی مادام‌العمر به برنامه";
    $res_aa["description"] = "با خرید برنامه‌ی ماچا، بصورت مادام‌العمر به اون دسترسی دارید و هرزمانی که بخواید میتونید ازش استفاده کنید!";
    array_push($wyg, $res_aa);
}

if ($type == "inc") {

    $title = "افزایش وزن پایدار، بدون شکم پهلو و اصلاح سبک زندگی با ماچا";
    $underTitle = "به جمع هزاران نفری که به کمک ماچا، به اندام ایده آلشون رسیده‌اند، بپیوندید";

    $guaranteeTitle = "ضمانت افزایش وزن";
    $guaranteeDescription = "
    رژیم ها و نکات ماچا رو کاملا بر اساس مشخصاتت طراحی کردیم. با تمامی جزئیات رژیم رو رعایت کنی، مطمئنیم که به وزن ایده آلی که میخوای میرسی.
</br>
در نهایت اگر تا پایان اشتراکت به افزایش وزن نرسیدی، ماچا مبلغی رو که پرداخت کردی، عودت میده.
";

    $regimeType = "Healthy Life Style + Caloric Density";
    $target = $diffWeight . " کیلوگرم در " . $programLength . " ماه";

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/plan.png";
    $res_aa["title"] = $programLength . " ماه برنامه غذایی افزایش وزن";
    $res_aa["description"] = "برنامه غذایی کامل صبحانه، ناهار، شام و میان وعده به همراه مکمل های لازم";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/scan.png";
    $res_aa["title"] = "کالری شماری تصویری هوش مصنوعی";
    $res_aa["description"] = "از وعده‌غذایی‌تون عکس بگیرید تا هوش مصنوعی ماچا نوع غذا، مقدار، کالری و ارزش‌غذاییش رو در لحظه بهتون بگه!";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/healthy.png";
    $res_aa["title"] = "استفاده از متدولوژی HLCD";
    $res_aa["description"] = "برنامه شما بر اساس روش (‌Healthy Life Style + Caloric Density) طراحی خواهد شد.";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/food.png";
    $res_aa["title"] = "وعده های غذایی راحت و در دسترس";
    $res_aa["description"] = "سفرتون از خونواده جدا نمیشه و به راحتی میتونید رژیم غذایی رو رعایت کنید.";
    array_push($wyg, $res_aa);

    // $res_aa["icon"] = "https://matchadiet.com/files/v2/wyg/lifestyle.png";
    // $res_aa["title"] = "برنامه تمرینات ورزشی (اختیاری)";
    // $res_aa["description"] = "آموزش ویدیویی حرکات ورزشی در منزل/باشگاه برای بالا بردن سوخت و ساز بدن، چربی سوزی بیشتر و عضله سازی همزمان";
    // array_push($wyg , $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/lifestyle.png";
    $res_aa["title"] = "اصلاح سبک زندگی";
    $res_aa["description"] = "اصلاح سبک زندگی و عادت های غذایی برای افزایش وزن سریعتر و دائمی";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/fire.png";
    $res_aa["title"] = "تنظیم سوخت و ساز بدن";
    $res_aa["description"] = "تنظیم سوخت و ساز بدن برای عضله سازی و افزایش وزن اصولی";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/vip-card.png";
    $res_aa["title"] = "پشتیبانی آنلاین هفتگی توسط متخصص HLCD (طرح VIP)";
    $res_aa["description"] = "متخصصان رژیم، ورزش و تناسب‌‌اندام ما هرروزِ هفته شبانه‌روزی و بدونِ تعطیلی با شما در ارتباطن تا روند انجام رژیم و مسائل انگیزشی شما رو پیگیری کنن";
    array_push($wyg, $res_aa);
}

if ($type == "gym") {

    $title = "تناسب اندام و بدنسازی حرفه‌ای با ماچا";
    $underTitle = "به جمع هزاران نفری که به کمک ماچا، به اندام ایده آلشون رسیده‌اند، بپیوندید";


    if ($weightGoal > $weightCurrent) {

        $guaranteeTitle = "ضمانت افزایش وزن";
        $guaranteeDescription = "
        برنامه بدنسازی ماچا رو کاملا بر اساس مشخصاتت طراحی کردیم. با تمامی جزئیات رژیم رو رعایت کنی، مطمئنیم که به وزن ایده آلی که میخوای میرسی.
    </br>
    در نهایت اگر تا پایان اشتراکت به افزایش وزن نرسیدی، ماچا مبلغی رو که پرداخت کردی، عودت میده.
    ";
    } else {

        $guaranteeTitle = "ضمانت کاهش وزن";
        $guaranteeDescription = "
        برنامه بدنسازی ماچا رو کاملا بر اساس مشخصاتت طراحی کردیم. با تمامی جزئیات رژیم رو رعایت کنی، مطمئنیم که به وزن ایده آلی که میخوای میرسی.
    </br>
    در نهایت اگر تا پایان اشتراکت به کاهش وزن نرسیدی، ماچا مبلغی رو که پرداخت کردی، عودت میده.
    ";
    }

    $regimeType = "Body Building Life Style + Caloric Density";
    $target = "عضله سازی هدفمند در " . $programLength . " ماه";

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/icon3.png";
    $res_aa["title"] = "برنامه بدنسازی تخصصی";
    $res_aa["description"] = "برنامه بدنسازی در منزل یا باشگاه با توجه به مشخصات بدنی شما";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/icon2.png";
    $res_aa["title"] = "تمرکز بر عضلات هدف";
    $res_aa["description"] = "تقویت عضلات ضعیف و حجم دهی به عضلات هدف";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/icon1.png";
    $res_aa["title"] =  "چربی سوزی و عضله سازی همزمان";
    $res_aa["description"] = "رفع چربی های زائد و سلولیت + همزمان عضله سازی هدفمند";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/plan.png";
    $res_aa["title"] = $programLength . " ماه رژیم بدنسازی";
    $res_aa["description"] = "برنامه غذایی کامل صبحانه، ناهار، شام و میان وعده به همراه مکمل های لازم";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/scan.png";
    $res_aa["title"] = "کالری شماری تصویری هوش مصنوعی";
    $res_aa["description"] = "از وعده‌غذایی‌تون عکس بگیرید تا هوش مصنوعی ماچا نوع غذا، مقدار، کالری و ارزش‌غذاییش رو در لحظه بهتون بگه!";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/healthy.png";
    $res_aa["title"] = "استفاده از متدولوژی BBCD";
    $res_aa["description"] = "برنامه شما بر اساس روش (Body Building Life Style + Caloric Density) طراحی خواهد شد.";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/food.png";
    $res_aa["title"] = "وعده های غذایی راحت و در دسترس";
    $res_aa["description"] = "سفرتون از خونواده جدا نمیشه و به راحتی میتونید رژیم غذایی رو رعایت کنید.";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/fire.png";
    $res_aa["title"] = "تنظیم سوخت و ساز بدن";
    $res_aa["description"] = "تنظیم سوخت و ساز بدن برای عضله سازی و افزایش وزن اصولی";
    array_push($wyg, $res_aa);

    $res_aa["icon"] = "https://api.matchadiet.com/files/v2/wyg/vip-card.png";
    $res_aa["title"] = "پشتیبانی آنلاین هفتگی توسط متخصص BBCD (طرح VIP)";
    $res_aa["description"] = "متخصصان رژیم، ورزش و تناسب‌‌اندام ما هرروزِ هفته شبانه‌روزی و بدونِ تعطیلی با شما در ارتباطن تا روند انجام رژیم و مسائل انگیزشی شما رو پیگیری کنن";
    array_push($wyg, $res_aa);
}

$result_persona = $conn->query("SELECT * FROM process WHERE `code`='$code' ORDER BY id DESC LIMIT 1");
if ($result_persona->num_rows > 0) {
    while ($row_persona = $result_persona->fetch_assoc()) {
        $persona = getPersonaFromType($type);
        $bannerImage = "https://api.matchadiet.com/files/v2/banners/" . $type . ".png";
    }
}

$paymentHeader = array(

    "description" => $description,
    "counter" => (string)$payCounter
);

$commentQuery = "SELECT * FROM comment WHERE `persona`='$persona' AND `visible`='true' AND `language`='fa' AND `gender`='$gender' ORDER BY priority";
if ($persona == "inc") {
    $commentQuery = "SELECT * FROM comment WHERE `persona`='$persona' AND `visible`='true' AND `language`='fa' ORDER BY priority";
}
$result_comment = $conn->query($commentQuery);
if ($result_comment->num_rows > 0) {
    while ($row_comment = $result_comment->fetch_assoc()) {
        $res_comment["profileName"] = $row_comment["profileName"];
        $res_comment["profileImage"] = $row_comment["profileImage"];
        $res_comment["date"] = $row_comment["date"];
        $res_comment["title"] = $row_comment["title"];
        $res_comment["text"] = $row_comment["text"];
        $res_comment["date"] = $row_comment["date"];
        $res_comment["rate"] = "5";
        $res_comment["voice"] = $row_comment["voiceLink"];
        $res_comment["image"] = $row_comment["link"];

        // if ($row_comment["type"] == "voice"){
        //     $res_comment["voice"] = $row_comment["voiceLink"];
        // }
        // else {
        //     $res_comment["image"] = $row_comment["link"];
        // }

        array_push($comments, $res_comment);
    }
}


$result_horizontal_comment = $conn->query("SELECT * FROM horizontal_comments WHERE `type`!='voice' ORDER BY id DESC LIMIT 12");
$mainURL = "https://api.matchadiet.com/files/v2/comments/horizontal/main/";
$profileURL = "https://api.matchadiet.com/files/v2/comments/horizontal/profile/";
$socialURL = "https://api.matchadiet.com/files/social/";

if ($result_horizontal_comment->num_rows > 0) {
    while ($row_horizontal_comment = $result_horizontal_comment->fetch_assoc()) {
        $res_horizontal_comment["name"] = $row_horizontal_comment["name"];
        $profileImageInDB = $row_horizontal_comment["profile_image"];
        if (strlen($profileImageInDB) < 6) {
            $res_horizontal_comment["profileImage"] = "https://api.matchadiet.com/files/v2/profile/ph.png";
        } else {
            $res_horizontal_comment["profileImage"] = $profileURL . $profileImageInDB;
        }
        $socialLogoInDB = $row_horizontal_comment["social_logo"];
        if (strlen($socialLogoInDB) < 4) {
            $res_horizontal_comment["socialLogo"] = "https://api.matchadiet.com/files/social/telegram.svg";
        } else {
            $res_horizontal_comment["socialLogo"] = $socialURL . $row_horizontal_comment["social_logo"] . ".svg";
        }
        $res_horizontal_comment["mainImage"] = $mainURL . $row_horizontal_comment["main_image"];
        $res_horizontal_comment["comment"] = $row_horizontal_comment["comment"];
        $res_horizontal_comment["date"] = $row_horizontal_comment["date"];

        array_push($horizontalComments, $res_horizontal_comment);
    }
}


$result_faq = $conn->query("SELECT * FROM faq WHERE `persona`='$persona' AND `language`='fa' ORDER BY priority");
if ($result_faq->num_rows > 0) {
    while ($row_faq = $result_faq->fetch_assoc()) {
        $res_faq["question"] = $row_faq["question"];
        $res_faq["answer"] = $row_faq["answer"];
        array_push($faqs, $res_faq);
    }
}

$newPlans = array();
$newRes = array();

$result_plans = $conn->query("SELECT * FROM plansV2 WHERE `persona`='$persona' AND `language`='fa' ORDER BY priority");
if ($result_plans->num_rows > 0) {
    while ($row = $result_plans->fetch_assoc()) {
        $discountPrice = "";
    $perPrice = 349; 
    //            $discountPrice = $perPrice - ($perPrice * 0.2);
    //            $discountPrice = (int) $discountPrice;
    //            $discountPrice = (string) $discountPrice;

    $planId = $row["plan_id"];
    $res["planId"] = $row["plan_id"];
    
    if ($planId == "fit" or $planId == "fastfit" or $planId == "gym" or $planId == "inc"){
        $discountPrice =  round($perPrice * $programLength);

        if ($discountPrice > 649) {
            $discountPrice = 649;
        }
        if ($discountPrice < 549) {
            $discountPrice = 549;
        }
        
        
    }
    if ($planId == "fit_vip" or $planId == "fastfit_vip" or $planId == "gym_vip" or $planId == "inc_vip"){
        $discountPrice =  round(($perPrice + 49) * $programLength);
        
        if ($discountPrice > 749) {
            $discountPrice = 749;
        }
        if ($discountPrice < 649) {
            $discountPrice = 649;
        }
        
       
    } 
  
    
    if ($persona == "fit" or $persona == "fastfit") {
      $res["title"] = $programLength . " " . $row["title"];
      $res["description"] = $row["description"];
    
    } else if ($persona == "gym") {
      $res["title"] = "برنامه " . $programLength . " " . $row["title"];
      $res["description"] = $row["description"];
     
    } else if ($persona == "inc") {
      $res["title"] = $programLength . " " . $row["title"];
      $res["description"] = $row["description"];
    
    }

         
        $purePrice = round($discountPrice * 1.2);
        $res["discountPrice"] = $discountPrice;
        $res["price"] = $purePrice;
        $res["length"] = $row["length"];
        $timeUnit = $row["time_unit"];
        if ($timeUnit == "month") {
            $timeUnit = "ماهانه";
        } else {
            $timeUnit = "سالانه";
        }
        $res["timeUnit"] = $timeUnit;
        array_push($plans, $res);

        //added in new version
        $featured = "false";
        if ($row['priority'] == "1") {
            $featured = "true";
        }
        $newRes['featured'] = $featured;
        $newRes['featuredTitle'] = "پیشنهاد ماچا";
        $newRes['price'] = array(
            "regular" => $purePrice,
            "discounted" => $discountPrice,
            "preUnit" => "هزار",
            "unit" => "تومان",
        );
        $newRes['planId'] = $row["plan_id"];
        $newRes['title'] = $programLength . " " . $row["title"];
        $newRes['description'] = $row["description"];
        $newRes['length'] = $row["length"];
        $newRes['timeUnit'] = $timeUnit;
        array_push($newPlans, $newRes);

        // *************
    }
}

$fastEasy = array();

$slider = array(
    "key" => "slider",
    "content" => array(
        "title" => getTextFromId("chV2_7", $language),
        "sliderImages" => array($domain . "/files/v2/screens/" . $language . "/new/1.jpg", $domain . "/files/v2/screens/" . $language . "/new/2.jpg", $domain . "/files/v2/screens/" . $language . "/new/3.jpg", $domain . "/files/v2/screens/" . $language . "/new/4.jpg", $domain . "/files/v2/screens/" . $language . "/new/5.jpg"),
        "callToAction" => array(
            "image" => $domain . "/files/v2/clock.webp",
            "numValue" => "6,600,000",
            "description" => getTextFromId("chV2_8", $language),
            "button" => array(
                "text" => getTextFromId("chV2_9", $language),
            ),
        ),
    ),
);

array_push($fastEasy, $slider);


$counter = 0;
$index = "0";


$response['success'] = 'true';
$response['message'] = '200';
$response['result'] =
    array(
        "token" => $token,
        "code" => $code,
        "title" => $title,
        "bannerImage" => $bannerImage,
        "description" => $underTitle,
        "wyg" => $wyg,
        "target" => $target,
        "nextPage" => $nextPage,
        "regimeType" => $regimeType,
        "plans" => $plans,
        "comments" => $comments,
        "faq" => $faqs,
        "type" => $type,
        "guarantee" => array(
            "guaranteeTitle" => $guaranteeTitle,
            "guaranteeDescription" => $guaranteeDescription,
        ),
    );

$response['data'] =
    array(
        "token" => $token,
        "code" => $code,
        "isResult" => "true",
        "items" => $fastEasy,
        
        "banner" => array(
            "title" => $title,
            "image" => $bannerImage,
            "description" => $underTitle,
            "bgColor" => "#ffffff"
        ),
        "button" => array(
            "text" => "دریافت برنامه",
            "link" => "",
            "bgColor" => "#4ed09a",
            "color" => "#ffffff"
        ),

        "discountBar" => array(
            "title" => "اعتبار تخفیف تا: ",
            "time" => "600",
            "bgColor" => "#f87691",
            "titleColor" => "#ffffff",
            "timerColor" => "yellow"
        ),

        "wyg" => array(
            "sectionTitle" => "آنچه دریافت می کنید",
            "items" => $wyg
        ),

        "plans" => array(
            "sectionTitle" => "انتخاب خدمت مورد نیاز ",
            "target" => array(
                "title" => "هدف",
                "description" => $target
            ),
            "regime" => array(
                "title" => "نوع رژیم",
                "description" => $regimeType
            ),
            "items" => $newPlans,
        ),

        "comments" => array(
            "sectionTitle" => "تغییرات کاربران ماچا",
            "items" => $comments
        ),
        "horizontalComments" => array(
            "sectionTitle" => "جدیدترین نظرات کاربران ماچا",
            "items" => $horizontalComments
        ),
        "faq" => array(
            "sectionTitle" => "سوالات متداول کاربران",
            "items" => $faqs,
            "backgroundImage" => array(
                "right" => "https://api.matchadiet.com/files/avocado.png",
                "left" => "https://api.matchadiet.com/files/pepper.png",
            ),
        ),

        "nextPage" => $nextPage,
        "type" => $type,

        "guarantee" => array(
            "guaranteeTitle" => $guaranteeTitle,
            "guaranteeDescription" => $guaranteeDescription,
        ),

        "footer" => array(
            "title" => "",
//         "description" => "ما تشا لخدمات إدارة المشاريع شركة الشخص الواحد ذ.م.م
//       <br>
// M A T C H A FOR PROJECT MANAGEMENT SERVICES CO. L.L.C
// <br><br>
// Rigga Business Centre, Al Murqabat, Dubai"
      "description" => "قدرت‌ گرفته از شرکت بین‌المللی Matcha <br>  دفتر بریتانیا : انگلستان - تانتون - کریدول اُرچارد - واحد ۵ <br> دفتر ایران : تهران - ناحیه نوآوری شریف - باشگاه کسب‌وکارهای دانش‌بنیان - واحد ۳۹",


        ),
    );
$json_response = json_encode($response);
echo $json_response;
die();

$conn->close();
